#!/bin/bash

# the directory where you want the TLE 
cd $HOME/.skychart/satellites/

echo  enter your space-track identifier 
read -p 'user name: ' stuser
read -s -p 'password: ' stpass

echo logon and get cookie
curl -c cookies.txt -b cookies.txt -k https://www.space-track.org/auth/login -d 'identity='$stuser'&password='$stpass

echo get visible tle
curl --cookie cookies.txt https://www.space-track.org/basicspacedata/query/class/tle_latest/ORDINAL/1/EPOCH/%3Enow-30/orderby/NORAD_CAT_ID/format/3le/favorites/Visible > visible.tle

echo get iridium tle
curl --cookie cookies.txt  https://www.space-track.org/basicspacedata/query/class/tle_latest/ORDINAL/1/EPOCH/%3Enow-30/OBJECT_TYPE/payload/orderby/NORAD_CAT_ID/format/3le/OBJECT_NAME/iridium~~/ > iridium.tle

rm cookies.txt

echo end

